{% extends 'base.html' %}

{% block head %}
<title>Livre Mercado</title>
{% endblock %}

{% block body %}
<a href = "/" class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect mdl-button--accent" id="voltar"> &lt; Voltar</a>
{% if user.name!='' %}
<span class="mdl-chip mdl-chip--contact" id="user">
    <img class="mdl-chip__contact" src="{{url_for('static', filename='/images/user.jpg')}}"></img>
    <span class="mdl-chip__text">{{ user.name }}</span>
</span>
{% else %}]
<span class="mdl-chip mdl-chip--contact" id="user">
    <img class="mdl-chip__contact" src="{{url_for('static', filename='/images/user.jpg')}}"></img>
    <span class="mdl-chip__text"><a href="/login/">Fazer login</a></span>
</span>
{% endif %}



    <h1 style="text-align: center;">Gerenciador de produtos</h1>
    {% if products|length < 1 %}
    <h4 style="text-align: center;">Não há produtos cadastradados, adicione um abaixo</h4>
    {% else %}
    <div id="tabela"> 
        <table class="mdl-data-table mdl-js-data-table mdl-data-table mdl-shadow--2dp">
            <tr>
                <th>Nome</th>
                <th>Descrição</th>
                <th>Preço</th>
                <th>Data de criação</th>
            </tr>
            {% for product in products %}
                <tr>
                    <td>{{ product.name }}</td>
                    <td><span class="text">{{ product.description }}</span></td>
                    <td>{{ product.value }}</td>
                    <td>{{ product.date_created.date() }}</td>
                    <td>
                        <a class="mdl-button mdl-js-button mdl-button--raised" href="/vendedor/delete/{{product.id}}">Delete</a>
                        <br>
                        <a class="mdl-button mdl-js-button mdl-button--raised" href="/vendedor/update/{{product.id}}">Update</a>
                    </td>
                </tr>
            {% endfor %}
        </table>
    </div>
    {% endif %}
    <div id="content">
        <div style="display: flex; flex-direction: column;">
            <form action="" method="POST" >
                <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
                    <input class="mdl-textfield__input" type="text" id="name1" maxlength="1000" name="name" required>
                    <label class="mdl-textfield__label" for="name1">Nome...</label>
                </div>
                <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
                    <input class="mdl-textfield__input" type="text" id="desc1" maxlength="1000" name="description" required>
                    <label class="mdl-textfield__label" for="desc1">Descrição...</label>
                </div>        
                <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
                    <input class="mdl-textfield__input" type="text" pattern="-?[0-9]*(\.[0-9]+)?" id="val1" name="value" required>
                    <label class="mdl-textfield__label" for="val1">Preço...</label>
                    <span class="mdl-textfield__error">Valor digitado não é um numero</span>
                </div>
                <div>
                <input style="margin-top: 10px ;" class="mdl-button mdl-js-button mdl-button--raised" type="submit" value="Adicionar produto">
                </div> 
            </form>
        </div>
    </div>

{% endblock %}